LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   can't install anything with pear (http://www.linuxquestions.org/questions/linux-software-2/cant-install-anything-with-pear-279851/)

maltune 01-19-2005 04:00 PM

can't install anything with pear
 
Hi,

I just manually compiled php 4.3.10 on a Fedora Core 2 (using Apache 2.0.51) with hopes that I could get pear to work. It hasn't helped though. I have everything I need compiled into php with the execption of pdflib. I planned to do this using pear, but when I try to run pear this is what I get:
--------------------
[root@u15176694 root]# pear install pdflib
WARNING: running in safe mode requires that all files created be the same uid as the current script. PHP reports this script is uid: 0, and current user is: root
downloading pdflib-2.0.4.tgz ...
Starting to download pdflib-2.0.4.tgz (36,082 bytes)
..........done: 36,082 bytes
7 source files, building

Warning: putenv(): Safe Mode warning: Cannot set environment variable 'PATH' - it's not in the allowed list in Builder.php on line 201
running: phpize
sh: line 1: /usr/local/php/bin/phpize: No such file or directory
`phpize' failed
-----------------------

I have located two phpize binaries in /usr/bin/ and /usr/local/bin because I installed php manually and left it's default installation paths as is. I'd rather not overwrite any existing files from the default apache-php installation because I'm afraid I may break something with my plesk installation.

Any suggestions?

Thanks in advance,
Jeremy Dunn


All times are GMT -5. The time now is 09:44 PM.